# Uses of Class
org.eclipse.core.commands.NotHandledException

Packages that use NotHandledException
Package
Description
org.eclipse.core.commands
Application programming interfaces for commands and handlers.
org.eclipse.ui.handlers
Provides support for integrating handlers into the Eclipse workbench.

## Uses of NotHandledException in org.eclipse.core.commands

Methods in org.eclipse.core.commands with parameters of type NotHandledException
Modifier and Type
Method
Description
`void`
IExecutionListener.`notHandled(String commandId, NotHandledException exception)`
Notifies the listener that an attempt was made to execute a command with no handler.
Methods in org.eclipse.core.commands that throw NotHandledException
Modifier and Type
Method
Description
`Object`
Command.`execute(ExecutionEvent event)`
Deprecated.
Please use `Command.executeWithChecks(ExecutionEvent)` instead.
`Object`
ParameterizedCommand.`execute(Object trigger, Object applicationContext)`
Deprecated.
Please use `ParameterizedCommand.executeWithChecks(Object, Object)` instead.
`Object`
Command.`executeWithChecks(ExecutionEvent event)`
Executes this command by delegating to the current handler, if any.
`Object`
ParameterizedCommand.`executeWithChecks(Object trigger, Object applicationContext)`
Executes this command with its parameters.

## Uses of NotHandledException in org.eclipse.ui.handlers

Methods in org.eclipse.ui.handlers that throw NotHandledException
Modifier and Type
Method
Description
`Object`
IHandlerService.`executeCommand(String commandId, Event event)`
Executes the command with the given identifier and no parameters.
`Object`
IHandlerService.`executeCommand(ParameterizedCommand command, Event event)`
Executes the given parameterized command.
`Object`
IHandlerService.`executeCommandInContext(ParameterizedCommand command, Event event, IEvaluationContext context)`
Executes the given parameterized command in the provided context.